<mat-toolbar class="position-absolute mb-12" color="primary" style="top: 0;">
  <mat-toolbar-row class="text-white form-header shadow-sm">
    <span style="margin-left: 100px;">LEADER SUR LE MARCHÉ DEPUIS 25 ANS</span>
  </mat-toolbar-row>
  <mat-toolbar-row class="shadow-lg justify-content-between form-navbar">
    <img src="assets/img/bestprofil_logo.png" style="height: 80%; margin-left: 50px;">
  </mat-toolbar-row>
</mat-toolbar>

<div class="loading">
  <mat-spinner *ngIf="showSpinner"></mat-spinner>
</div>

<div class="d-flex justify-content-center align-items-center main-div w-100">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-sm-5">
        <mat-card>
          <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
            <!-- Form Field for Fullname  (Text Input) -->
            <mat-form-field class="w-100" appearance="fill">
              <mat-label>Nom et Prénom</mat-label>
              <input matInput placeholder="John Wick" formControlName="username" required>
              <!-- <mat-error *ngIf="username.invalid">{{getErrorMessage()}}</mat-error> -->
            </mat-form-field>
            <!-- Form Field for Mail Address (Text Input) -->
            <mat-form-field class="w-100" appearance="fill"> 
              <mat-label>Adresse Mail</mat-label>
              <input matInput placeholder="john@gmail.com" formControlName="email" required>
              <!-- <mat-error *ngIf="email.invalid">{{getEmailErrorMessage()}}</mat-error> -->
            </mat-form-field>
            <!-- Form Field for City (Combo Box Input)-->
            <mat-form-field class="w-100" appearance="fill">
              <mat-label>Ville</mat-label>
              <mat-select formControlName="city" required>
                <mat-option>-- None --</mat-option>
                <mat-option value="casablanca">Casablanca</mat-option>
                <mat-option value="Rabat">Rabat</mat-option>
                <mat-option value="Agadir">Agadir</mat-option>
                <mat-option value="Al Hoceima">Al Hoceima</mat-option>
                <mat-option value="Beni Mellal">Beni Mellal</mat-option>
                <mat-option value="El Jadida">El Jadida</mat-option>
                <mat-option value="Essaouira">Essaouira</mat-option>
                <mat-option value="Essmara">Essmara</mat-option>
                <mat-option value="Fès">Fès</mat-option>
                <mat-option value="Kénitra">Kénitra</mat-option>
                <mat-option value="Khénifra">Khénifra</mat-option>
                <mat-option value="khmissat">khmissat</mat-option>
                <mat-option value="Khouribga">Khouribga</mat-option>
                <mat-option value="Larache">Larache</mat-option>
                <mat-option value="Marrakech">Marrakech</mat-option>
                <mat-option value="Meknès">Meknès</mat-option>
                <mat-option value="Mohammedia">Mohammedia</mat-option>
                <mat-option value="Nador">Nador</mat-option>
                <mat-option value="Ouarzazate">Ouarzazate</mat-option>
                <mat-option value="Oujda">Oujda</mat-option>
                <mat-option value="Safi">Safi</mat-option>
                <mat-option value="Settat">Settat</mat-option>
                <mat-option value="Salé">Salé</mat-option>
                <mat-option value="Tanger">Tanger</mat-option>
                <mat-option value="Taza">Taza</mat-option>
                <mat-option value="Temara">Temara</mat-option>
                <mat-option value="Tétouan">Tétouan</mat-option>
              </mat-select>
              <!-- <mat-error *ngIf="city.invalid">{{getErrorMessage()}}</mat-error> -->
            </mat-form-field>
            <!-- Form Field for City (Text Input)-->
            <mat-form-field class="w-100" appearance="fill">
              <mat-label>Profile</mat-label>
              <input matInput placeholder="Commercial" formControlName="profile">
              <!-- <mat-error *ngIf="profile.invalid">{{getErrorMessage()}}</mat-error> -->
            </mat-form-field>
            <!-- Form Field for City (Check Box Input)-->
            <mat-form-field class="w-100" appearance="fill">
              <mat-label>Experience</mat-label>
              <mat-select formControlName="experience">
                <mat-option>-- None --</mat-option>
                <mat-option value="junior">0-2 ans</mat-option>
                <mat-option value="senior">2-5 ans</mat-option>
                <mat-option value="expert">+5 ans</mat-option>
              </mat-select>
              <!-- <mat-error *ngIf="experience.invalid">{{getErrorMessage()}}</mat-error> -->
            </mat-form-field>
            <!-- Form Field for City (Combo Box Input)-->
            <mat-form-field class="w-100" appearance="fill">
              <mat-label>Langues</mat-label>
              <mat-select formControlName="languages" multiple >
                <mat-option value="french">Français</mat-option>
                <mat-option value="english">Anglais</mat-option>
                <mat-option value="others">Autres</mat-option>
              </mat-select>
              <!-- <mat-error *ngIf="languages.invalid">{{getErrorMessage()}}</mat-error> -->
            </mat-form-field>
            <!-- Form Field for City (File Upload Input)-->
            <mat-form-field class="w-100" appearance="fill">
              <ngx-mat-file-input formControlName="fileControl" accept=".pdf,.doc,.docx,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document" color="primary" required>
              </ngx-mat-file-input>
              <!-- <mat-error *ngIf="fileControl.invalid">{{getFileErrorMessage()}}</mat-error> -->
            </mat-form-field>
            
            <div class="form-group mt-4">
              <!-- <button mat-raised-button color="btn btn-primary">Submit</button> -->
              <button mat-raised-button class="submit-button">Submit</button>
            </div>
          </form>
        </mat-card>
      </div>
    </div>
  </div>
  <!-- <mat-card class="main-card">
    
  </mat-card>  -->
</div>
